This page is no longer maintained — Please continue to the home page at

Before sbt catches up with Scala 2.10.0-M1

No replies
Joined: 2010-03-11,
User offline. Last seen 33 weeks 5 days ago.
Anyone trying to compile sbt-based project with 2.10.0-M1 will face the following problem:
 found   :    (which expands to)  required: String sym.isLocalClass || sym.isAnonymousClass || sym.fullName.endsWith(LocalChild)                                                                                  ^ one error found[error] {file:/Users/grek/scala/scala-reflection/}default-e61cd1/compile:compile: Error compiling sbt component 'compiler-interface'
In case you are impatient to wait for Sbt to catch up with the M1 you might want to try:
My current understanding of how sbt works reassures me that this is fairly safe thing to do and it's not going to break your sbt installation for Scala 2.9.x. Also note that it's easy to roll-back by doing:
m -rf ~/.sbt/boot/scala-2.9.1/org.scala-tools.sbt/sbt/0.11.2/compiler-interface-src
PS. If you are scratching your head and wondering why this doesn't work then the answer is simple: M1 is released exactly to flesh out all sorts of issues that might arise.
Grzegorz Kossakowski

Copyright © 2012 École Polytechnique Fédérale de Lausanne (EPFL), Lausanne, Switzerland